Bug 1651206 - Edit tab for rgw user is not working correctly
Summary: Edit tab for rgw user is not working correctly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Dashboard
Version: 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: 3.*
Assignee: Ernesto Puerta
QA Contact: Ernesto Puerta
URL:
Whiteboard:
Depends On: 1652971
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-19 12:17 UTC by Uday kurundwade
Modified: 2019-08-26 06:51 UTC (History)
2 users (show)

Fixed In Version: 3.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-26 06:51:36 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot of edited user (58.60 KB, image/png)
2018-11-19 12:17 UTC, Uday kurundwade
no flags Details


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 26861 None None None 2018-11-23 17:20:09 UTC
Github ceph ceph pull 24719 None None None 2018-11-23 17:20:33 UTC
Github rhcs-dashboard/ceph/commit/8888ddd2ec None None None 2018-11-26 18:19:54 UTC

Description Uday kurundwade 2018-11-19 12:17:52 UTC
Created attachment 1507206 [details]
Screenshot of edited user

Description of problem:
Edit tab for rgw user is not working correctly

Version-Release number of selected component (if applicable):
ceph-mgr-12.2.8-32.el7cp.x86_64
ceph-ansible-3.2.0-0.1.beta9.el7cp.noarch
ceph-common-12.2.8-32.el7cp.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Install ceph storage with RGW
2.Install "dashboard v2" by running ansible playbook
3.Login to dashboard after installation of dashboard v2
4.Navigate to Object Gateway -> Users
5.Create new rgw user and fill email id also
6.Edit newly created user and remove email id and click on update.

Actual results:
Email address field is showing as 'false' value

Expected results:
Email address field should be null after removing email id.

Additional info:
Same thing happening for rgw-manager user


Note You need to log in before you can comment on or make changes to this bug.